GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
gdcm::Attribute< Group, Element, TVR, VM::VM3_n > Class Template Reference

`#include <gdcmAttribute.h>`

Inheritance diagram for gdcm::Attribute< Group, Element, TVR, VM::VM3_n >:
[legend]
Collaboration diagram for gdcm::Attribute< Group, Element, TVR, VM::VM3_n >:
[legend]

## Static Public Member Functions

static VM | GetVM ()
Static Public Member Functions inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
static VM | GetDictVM ()
static VR | GetDictVR ()
static Tag | GetTag ()
static VM | GetVM ()
static VR | GetVR ()

## Additional Inherited Members

Public Types inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
typedef VRToType< TVR >::Type | ArrayType
Public Member Functions inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
| Attribute ()
| ~Attribute ()
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT ((VM::VM1_n &(VM::VMType)(TagToType< Group, Element >::VMType)))
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1)&&((VM::VMType) TagToType< Group, Element >::VMType==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue (unsigned int idx=0)
ArrayType const & | GetValue (unsigned int idx=0) const
const ArrayType * | GetValues () const
ArrayType & | operator[] (unsigned int idx)
ArrayType const & | operator[] (unsigned int idx) const
void | Print (std::ostream &os) const
void | SetFromDataElement (DataElement const &de)
void | SetNumberOfValues (unsigned int numel)
void | SetValue (unsigned int idx, ArrayType v)
void | SetValue (ArrayType v)
void | SetValues (const ArrayType *array, unsigned int numel, bool own=false)
Protected Member Functions inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
void | SetByteValue (const ByteValue *bv)

## Member Function Documentation

template<uint16_t Group, uint16_t Element, int TVR>

static VM gdcm::Attribute< Group, Element, TVR, VM::VM3_n >::GetVM | ( |  | ) |

inlinestatic

References gdcm::VM::VM3_n.

The documentation for this class was generated from the following file:

- gdcmAttribute.h